import { ProgressIndicator } from "./ProgressIndicator";
export declare class ProgressBar implements ProgressIndicator {
    private $mainDomElement;
    private $progressBar;
    private $errorMessageBar;
    constructor(initialProgress: number, { height, transitionTime }: {
        height?: number;
        transitionTime?: number;
    });
    /**
     * @param progress Between 0 and 1
     * @param caption
     */
    setProgress(progress: number): void;
    setErrorMessage(message: string | null): void;
    getMainDomElement(): HTMLElement;
}
